---
title: "Google Play API: Search | Perceptlayer"
description: "Search from Google Play as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/google-play/search
---

[APIs](https://perceptlayer.com/apis) / [Google Play](https://perceptlayer.com/apis/google-play) / Search

# Google Play: Search

Search from Google Play as JSON. 1 credit per successful call.

GET `/v1/google-play/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `q` | string | Required | Up to 200 characters |
| `store` | string | Optional | apps, movies, books, games |
| `hl` | string | Optional | Up to 10 characters |
| `gl` | string | Optional | Up to 2 characters |
| `price` | string | Optional | 1, 2 |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/google-play/search?q=chess&store=apps" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/google-play?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
